package com.jasamedika.medifirst2000.entities;

import java.io.Serializable;
import org.hibernate.envers.Audited;
import javax.persistence.*;

import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.BaseMaster;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.BaseMaster;
import com.jasamedika.medifirst2000.helper.Caption;
import org.hibernate.envers.Audited;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;

/**
 * class SatuanAnggaran
 * 
 * @author Generator
 */
@Entity // @Audited
@Table(name = "SatuanAnggaran_M")
public class SatuanAnggaran extends BaseMaster {
	@NotNull(message = "Kd Satuan Anggaran tidak boleh kosong")
	@Column(name = "KdSatuanAnggaran", nullable = false)
	@Caption(value = "Kode Satuan Anggaran")
	private Byte kdSatuanAnggaran;

	public void setKdSatuanAnggaran(Byte kdSatuanAnggaran) {
		this.kdSatuanAnggaran = kdSatuanAnggaran;
	}

	public Byte getKdSatuanAnggaran() {
		return this.kdSatuanAnggaran;
	}

	@NotNull(message = "QSatuan Anggaran tidak boleh kosong")
	@Column(name = "QSatuanAnggaran", nullable = false)
	@Caption(value = "QSatuan Anggaran")
	private Byte qSatuanAnggaran;

	public void setqSatuanAnggaran(Byte qSatuanAnggaran) {
		this.qSatuanAnggaran = qSatuanAnggaran;
	}

	public Byte getqSatuanAnggaran() {
		return this.qSatuanAnggaran;
	}

	@NotNull(message = "Satuan Anggaran tidak boleh kosong")
	@Column(name = "SatuanAnggaran", nullable = false, length = 30)
	@Caption(value = "Satuan Anggaran")
	private String satuanAnggaran;

	public void setSatuanAnggaran(String satuanAnggaran) {
		this.satuanAnggaran = satuanAnggaran;
	}

	public String getSatuanAnggaran() {
		return this.satuanAnggaran;
	}

	@Id
	@GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "public.satuananggaran_m_id_seq")
	@javax.persistence.SequenceGenerator(name = "public.satuananggaran_m_id_seq", sequenceName = "public.satuananggaran_m_id_seq", allocationSize = 1)
	@Column(name = "id")
	protected Integer id;

	public Integer getId() {

		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}
}